<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_save_result_param" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_saveResultParam - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: krui_err krui_saveResultParam(char*, bool, int, int, bool, bool, float*, int);
/*****************************************************************************
  FUNCTION : ann_save_result_param
  PURPOSE  : 
  NOTES    : This is a new version of the old function krui_saveResult with
             added parameter passing for the update functions.
  RETURNS  :
  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_save_result_param</refname>

    <refpurpose>Save the network result which depends on the loaded patterns.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>ann_save_result_param(network, filename, create, startpattern, endpattern, includeinput, includeoutput, update_param_array);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>filename</term>

        <listitem>
          <para>Path and name of the file where the results have to be solved.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>create</term>

        <listitem>
          <para>If False, the new file will be appended to an existing file.
          </para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>startpattern</term>

        <listitem>
          <para>Start of the range of patterns to use.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>endpattern</term>

        <listitem>
          <para>End of the range of patterns to use.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>includeinput</term>

        <listitem>
          <para>The input patterns</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>includeoutput</term>

        <listitem>
          <para>The teaching output patterns can be included.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>update_param_array</term>

        <listitem>
          <para>Array of update parameters</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>No description</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
